extends ../../layout

block scripts
    script(src='/css/demo/default/custom/crud/forms/widgets/select2.js' type='text/javascript')
    script(src='/css/demo/default/custom/crud/forms/widgets/bootstrap-markdown.js' type='text/javascript')
    script(src='/css/demo/default/custom/crud/forms/widgets/ion-range-slider.js' type='text/javascript')
    script.
      $('.moment-date').each(function (key, value) {
        var newDate = value.innerText.slice(0, 15);
        value.innerHTML = newDate;
        console.log(value);
      });

block content
    .m-grid__item.m-grid__item--fluid.m-wrapper
        .m-subheader
            .d-flex.align-items-center
                .mr-auto
                    h3.m-subheader__title.m-subheader__title--separator #{title}
                    ul.m-subheader__breadcrumbs.m-nav.m-nav--inline
                        li.m-nav__item.m-nav__item--home
                            a.m-nav__link.m-nav__link--icon(href='/dashboard')
                                i.m-nav__link-icon.la.la-home
                        li.m-nav__separator -
                        li.m-nav__item
                            a.m-nav__link(href='/employees')
                                span.m-nav__link-text Employees
                        li.m-nav__separator -
                        li.m-nav__item
                            a.m-nav__link(href='/employee/' + employee._id + '/publications')
                                span.m-nav__link-text Publications
                        li.m-nav__separator -
                        li.m-nav__item
                            a.m-nav__link(href='#')
                                span.m-nav__link-text #{title}
        .m-content
            .m-portlet
                .m-portlet__body.m-portlet__body--no-padding
                    .m-invoice-1
                        .m-invoice__wrapper
                            .m-invoice__head(style='background-image: url(/css/app/media/img//bg/bg-6.jpg);')
                                .m-invoice__container.m-invoice__container--centered
                                    .m-invoice__logo
                                        a(href='#')
                                            if (publication.data.title)
                                                h1 #{publication.data.title}
                                            else
                                                h1 Publication
                                        a(href='#')
                                            h1 Employee
                                    span.m-invoice__desc
                                        span #{employee.profile.name}, #{employee.profile.occupation}
                                        span #{employee.profile.phone} | #{employee.email}
                                    .m-invoice__items
                                        .m-invoice__item
                                            span.m-invoice__subtitle DATE CREATED
                                            span.m-invoice__text.moment-date= publication.createdAt
                                        .m-invoice__item
                                            span.m-invoice__subtitle UPDATED AT
                                            span.m-invoice__text.moment-date= publication.updatedAt
                                        if (graded)
                                            .m-invoice__item
                                                span.m-invoice__subtitle GRADED BY
                                                span.m-invoice__text
                                                    | #{graded.profile.name} | #{graded.profile.location}
                                                    br
                                                    | #{graded.address.country}, #{graded.address.postcode}
                            form(action="/employee/publication/new" method="POST")
                                .m-invoice__body.m-invoice__body--centered
                                    .table-responsive
                                        table.table.col-12
                                            thead
                                                tr
                                                    th PUBLICATION DATA
                                            tbody
                                                tr
                                                    td.col-lg-8.col-md-8.col-sm-12.offset-lg-6.offset-md-6(style="color:#444444 !important;")
                                                        :markdown-it(linkify landPrefix='highlight-')= publication.data.description
                                                tr
                                                    td
                                                        hr
                                                        .col-lg-12.col-md-12.col-sm-12
                                                            div.progress
                                                                div.progress-bar(role="progressbar" style="width:" + publication.data.grade * 10 + "%" aria-valuenow=publication.data.grade * 10 aria-valuemin="0" aria-valuemax="100")
                                                        br
                                                        label.col-form-label.col-lg-3.col-sm-12(style="color:#444444 !important;") Grade:
                                                            | &nbsp;&nbsp;&nbsp;&nbsp;
                                                            b #{publication.data.grade}
                                .m-invoice__footer
                                    .m-invoice__container.m-invoice__container--centered
                                        .m-invoice__content
                                            .form-group.m-form__group
                                                span EMPLOYEE
                                                hr
                                                br
                                                span #{employee.profile.name}
                                        .m-invoice__content
                                            span EDIT PUBLICATION
                                            a.btn.btn-primary(href='/employee/' + employee._id + '/publication/' + publication._id + '/update') Edit
